# Interface VulkanClearValueType.VulkanClearValueColorType

All Superinterfaces:
  `VulkanClearValueType`

All Known Subinterfaces:
  `VulkanClearValueType.VulkanClearValueColorFloatingPointType, VulkanClearValueType.VulkanClearValueColorIntegerSignedType, VulkanClearValueType.VulkanClearValueColorIntegerUnsignedType`

All Known Implementing Classes:
  `VulkanClearValueColorFloatingPoint, VulkanClearValueColorIntegerSigned, VulkanClearValueColorIntegerUnsigned`

Enclosing interface:
  `VulkanClearValueType`

public static sealed interface VulkanClearValueType.VulkanClearValueColorType extends VulkanClearValueType permits VulkanClearValueType.VulkanClearValueColorIntegerSignedType, VulkanClearValueType.VulkanClearValueColorIntegerUnsignedType, VulkanClearValueType.VulkanClearValueColorFloatingPointType
A depth/stencil value.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface VulkanClearValueType

  `VulkanClearValueType.VulkanClearValueColorFloatingPointType, VulkanClearValueType.VulkanClearValueColorIntegerSignedType, VulkanClearValueType.VulkanClearValueColorIntegerUnsignedType, VulkanClearValueType.VulkanClearValueColorType, VulkanClearValueType.VulkanClearValueDepthStencilType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default int`
  `asFillBufferInteger()`
  Pack the color value as an integer value suitable for passing to `VulkanCommandBufferType.fillBuffer(VulkanBufferType, long, long, int)`.
  `int`
  `asFillBufferInteger(ByteOrder order)`
  Pack the color value as an integer value suitable for passing to `VulkanCommandBufferType.fillBuffer(VulkanBufferType, long, long, int)`.

- ## Method Details

  - ### asFillBufferInteger

    int asFillBufferInteger(ByteOrder order)
    Pack the color value as an integer value suitable for passing to `VulkanCommandBufferType.fillBuffer(VulkanBufferType, long, long, int)`.
    Parameters:
      `order` - The target byte order
    Returns:
      The packed color value

  - ### asFillBufferInteger

    default int asFillBufferInteger()
    Pack the color value as an integer value suitable for passing to `VulkanCommandBufferType.fillBuffer(VulkanBufferType, long, long, int)`. The value is packed based on the host byte order.
    Returns:
      The packed color value